AsterNet Class Library (Sandcastle documentation)

| AsteriskFastAGI Constructor (IMappingStrategy, String, Int32, Int32)

Initializes a new instance of the AsteriskFastAGI class

Namespace: AsterNET.FastAGI
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public AsteriskFastAGI(
    	IMappingStrategy mappingStrategy,
    	string ipaddress,
    	int port,
    	int poolSize
    )

    Public Sub New (
    	mappingStrategy As IMappingStrategy,
    	ipaddress As String,
    	port As Integer,
    	poolSize As Integer
    )

    public:
    AsteriskFastAGI(
    	IMappingStrategy^ mappingStrategy,
    	String^ ipaddress,
    	int port,
    	int poolSize
    )

    new :
            mappingStrategy : IMappingStrategy *
            ipaddress : string *
            port : int *
            poolSize : int -> AsteriskFastAGI

#### Parameters

mappingStrategy
  Type: AsterNET.FastAGI
  IMappingStrategy

  [Missing <param name="mappingStrategy"/> documentation for "M:AsterNET.FastAGI.AsteriskFastAGI.#ctor(AsterNET.FastAGI.IMappingStrategy,System.String,System.Int32,System.Int32)"]

ipaddress
  Type: System
  String

  [Missing <param name="ipaddress"/> documentation for "M:AsterNET.FastAGI.AsteriskFastAGI.#ctor(AsterNET.FastAGI.IMappingStrategy,System.String,System.Int32,System.Int32)"]

port
  Type: System
  Int32

  [Missing <param name="port"/> documentation for "M:AsterNET.FastAGI.AsteriskFastAGI.#ctor(AsterNET.FastAGI.IMappingStrategy,System.String,System.Int32,System.Int32)"]

poolSize
  Type: System
  Int32

  [Missing <param name="poolSize"/> documentation for "M:AsterNET.FastAGI.AsteriskFastAGI.#ctor(AsterNET.FastAGI.IMappingStrategy,System.String,System.Int32,System.Int32)"]

See Also

#### Reference

AsteriskFastAGI Class
AsteriskFastAGI Overload
AsterNET.FastAGI Namespace